package com.tenlionsoft.oamodule.beans;

import java.io.Serializable;
import java.util.List;

/**
 * 作者: adam
 * 日期: 2021/10/23 - 4:31 下午
 * 邮箱: itgaojian@163.com
 * 描述: 部门
 */
public class DepartmentListBean implements Serializable {

    private boolean checked;
    private String departmentAddress;
    private String departmentAreaCode;
    private String departmentAreaName;
    private String departmentCode;
    private String departmentDuty;
    private String departmentFax;
    private String departmentId;
    private int departmentIntId;
    private String departmentLatitude;
    private int departmentLogo;
    private int departmentLogoHover;
    private String departmentLongitude;
    private String departmentMaster;
    private String departmentMasterName;
    private String departmentName;
    private String departmentNameEn;
    private String departmentNameOther;
    private String departmentNo;
    private String departmentOrder;
    private String departmentParentId;
    private String departmentParentName;
    private int departmentState;
    private String departmentSummary;
    private String departmentTel;
    private int departmentType;
    private List<?> subDepartments;


    public boolean isChecked() {
        return checked;
    }

    public void setChecked(boolean checked) {
        this.checked = checked;
    }

    public String getDepartmentAddress() {
        return departmentAddress;
    }

    public void setDepartmentAddress(String departmentAddress) {
        this.departmentAddress = departmentAddress;
    }

    public String getDepartmentAreaCode() {
        return departmentAreaCode;
    }

    public void setDepartmentAreaCode(String departmentAreaCode) {
        this.departmentAreaCode = departmentAreaCode;
    }

    public String getDepartmentAreaName() {
        return departmentAreaName;
    }

    public void setDepartmentAreaName(String departmentAreaName) {
        this.departmentAreaName = departmentAreaName;
    }

    public String getDepartmentCode() {
        return departmentCode;
    }

    public void setDepartmentCode(String departmentCode) {
        this.departmentCode = departmentCode;
    }

    public String getDepartmentDuty() {
        return departmentDuty;
    }

    public void setDepartmentDuty(String departmentDuty) {
        this.departmentDuty = departmentDuty;
    }

    public String getDepartmentFax() {
        return departmentFax;
    }

    public void setDepartmentFax(String departmentFax) {
        this.departmentFax = departmentFax;
    }

    public String getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(String departmentId) {
        this.departmentId = departmentId;
    }

    public int getDepartmentIntId() {
        return departmentIntId;
    }

    public void setDepartmentIntId(int departmentIntId) {
        this.departmentIntId = departmentIntId;
    }

    public String getDepartmentLatitude() {
        return departmentLatitude;
    }

    public void setDepartmentLatitude(String departmentLatitude) {
        this.departmentLatitude = departmentLatitude;
    }

    public int getDepartmentLogo() {
        return departmentLogo;
    }

    public void setDepartmentLogo(int departmentLogo) {
        this.departmentLogo = departmentLogo;
    }

    public int getDepartmentLogoHover() {
        return departmentLogoHover;
    }

    public void setDepartmentLogoHover(int departmentLogoHover) {
        this.departmentLogoHover = departmentLogoHover;
    }

    public String getDepartmentLongitude() {
        return departmentLongitude;
    }

    public void setDepartmentLongitude(String departmentLongitude) {
        this.departmentLongitude = departmentLongitude;
    }

    public String getDepartmentMaster() {
        return departmentMaster;
    }

    public void setDepartmentMaster(String departmentMaster) {
        this.departmentMaster = departmentMaster;
    }

    public String getDepartmentMasterName() {
        return departmentMasterName;
    }

    public void setDepartmentMasterName(String departmentMasterName) {
        this.departmentMasterName = departmentMasterName;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public String getDepartmentNameEn() {
        return departmentNameEn;
    }

    public void setDepartmentNameEn(String departmentNameEn) {
        this.departmentNameEn = departmentNameEn;
    }

    public String getDepartmentNameOther() {
        return departmentNameOther;
    }

    public void setDepartmentNameOther(String departmentNameOther) {
        this.departmentNameOther = departmentNameOther;
    }

    public String getDepartmentNo() {
        return departmentNo;
    }

    public void setDepartmentNo(String departmentNo) {
        this.departmentNo = departmentNo;
    }

    public String getDepartmentOrder() {
        return departmentOrder;
    }

    public void setDepartmentOrder(String departmentOrder) {
        this.departmentOrder = departmentOrder;
    }

    public String getDepartmentParentId() {
        return departmentParentId;
    }

    public void setDepartmentParentId(String departmentParentId) {
        this.departmentParentId = departmentParentId;
    }

    public String getDepartmentParentName() {
        return departmentParentName;
    }

    public void setDepartmentParentName(String departmentParentName) {
        this.departmentParentName = departmentParentName;
    }

    public int getDepartmentState() {
        return departmentState;
    }

    public void setDepartmentState(int departmentState) {
        this.departmentState = departmentState;
    }

    public String getDepartmentSummary() {
        return departmentSummary;
    }

    public void setDepartmentSummary(String departmentSummary) {
        this.departmentSummary = departmentSummary;
    }

    public String getDepartmentTel() {
        return departmentTel;
    }

    public void setDepartmentTel(String departmentTel) {
        this.departmentTel = departmentTel;
    }

    public int getDepartmentType() {
        return departmentType;
    }

    public void setDepartmentType(int departmentType) {
        this.departmentType = departmentType;
    }

    public List<?> getSubDepartments() {
        return subDepartments;
    }

    public void setSubDepartments(List<?> subDepartments) {
        this.subDepartments = subDepartments;
    }
}
